> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/api-reference/orders-and-checkout/cart-payment/apply-payment-method.md).

# Apply Payment Method

Apply a payment method to a cart given its `cart_id`.

{% hint style="info" %}
You have the following options for payments:

1. Stripe.js V3 (recommended) - You can use this option by passing in the field `intent_based_payment : true` in the request body. Using this option will not automatically apply payment details. Please follow [this guide](/prism/checkout-guides/guides/violet-checkout-with-stripejs-v3.md) to enable Stripe v3 Payments.
2. Raw Credit Card information (deprecation path) - You can use this option by passing in `card_cvc`, `card_exp_month`, `card_exp_year`, `card_number` and `card_postal_code`.
3. Tokenized credit card information (deprecation path) - You can use this by passing in a Tokenized card in the `token` field.
   {% endhint %}

{% openapi src="/files/6wHrOR6auqy1RgLt3CZI" path="/checkout/cart/{cart\_id}/payment" method="post" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-4abe5aea8922866d3520a6e30cc002332bcb9d5f%2Forder-service.yaml?alt=media\&token=4674258f-0871-4fbe-9da4-b2857897fc92)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/cart-payment/apply-payment-method.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
